# Project-specific jobs
plan-stage:end-of-release-refinement:
  extends: .run
  stage: report
  rules:
    - if: '$TRIAGE_PLAN_STAGE_END_OF_RELEASE_REFINEMENT'
  variables:
    TRIAGE_POLICY_FILE: policies/plan-stage/end-of-release-refinement.yml

plan-stage:security-issue-check:
  extends: .run
  stage: report
  rules:
    - if: '$TRIAGE_PLAN_STAGE_SECURITY_ISSUE_CHECK'
  variables:
    TRIAGE_POLICY_FILE: policies/plan-stage/security-issue-check.yml

quality:triage-report:
  extends: .run
  stage: report
  rules:
    - if: $TRIAGE_QUALITY_REPORT
  variables:
    TRIAGE_POLICY_FILE: policies/groups/gitlab-org/quality/quality-triage-report.yml

quality:leading-org-report:
  extends: .run
  stage: report
  rules:
    - if: $TRIAGE_LEADING_ORG_REPORT
  variables:
    TRIAGE_POLICY_FILE: policies/groups/gitlab-org/quality/leading-org-mr-report.yml

security-products:community-merge-requests-report:
  extends: .run
  stage: report
  rules:
    - if: $TRIAGE_SECURITY_PRODUCTS_COMMUNITY_MERGE_REQUESTS
  variables:
    TRIAGE_POLICY_FILE: policies/groups/gitlab-org/security-products/security-products-community-merge-requests.yml

compliance-group:recently-delivered:
  extends: .run
  stage: report
  rules:
    - if: $TRIAGE_COMPLIANCE_RECENTLY_DELIVERED
  variables:
    TRIAGE_POLICY_FILE: policies/groups/gitlab-org/compliance-group/compliance-recently-delivered.yml

security-policies-group:blocked-issues:
  extends: .run
  stage: report
  rules:
    - if: $TRIAGE_SECURITY_POLICIES_BLOCKED_ISSUES
  variables:
    TRIAGE_POLICY_FILE: policies/groups/gitlab-org/security-policies/blocked-issues.yml

verify:community-merge-requests-report:
  extends: .run
  stage: report
  rules:
    - if: $TRIAGE_VERIFY_COMMUNITY_MERGE_REQUESTS
  variables:
    TRIAGE_POLICY_FILE: policies/groups/gitlab-org/verify/community-merge-requests.yml

growth:weekly-report:
  extends: .run
  stage: report
  rules:
    - if: $TRIAGE_GROWTH_WEEKLY_REPORT
  variables:
    TRIAGE_POLICY_FILE: policies/groups/gitlab-org/growth/growth-weekly-report.yml

verify:component-merge-requests-report:
  extends: .run
  stage: report
  rules:
    - if: $TRIAGE_VERIFY_COMPONENT_MERGE_REQUESTS
  variables:
    TRIAGE_POLICY_FILE: policies/groups/gitlab-org/verify/gitlab-components-contributions.yml
